#include "Physics.h"


namespace Physics
{
	namespace Electricity
	{
		/////////////////////////////////
		// - Electricity Section BEGIN - 
		/////////////////////////////////
	double calculateCurrent(double charge, double time) 
	{
		if (charge <= 0)
			throw ("Invalid charge value.");

		if (time <= 0)
			throw ("Invalid time value."); 

		return (charge / time); 
	}


	long double 
	forceOnTwoCharges(const double q1, const double q2, int range)
	{
		if (range <= 0) 
			throw ("Invalid range value"); 

	   return (9 * pow(10.0, 9) * q1 * q2) / (range * range); 
	}

	/////////////////////////////////
	// - Electricity Section END - 
	/////////////////////////////////
	}

	// more definitions here...
}